Skip to main content
GET
/
v1
/
analysis-type-configuration
/
{analysisTypeConfigurationId}
Read
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "system": true,
  "libraryId": {},
  "engagementId": {},
  "analysisId": {},
  "analysisTypeId": {},
  "configuration": {
    "riskGroups": [
      {
        "disabled": true,
        "id": {},
        "system": true,
        "analysisTypeId": {},
        "selectedRiskRange": {},
        "applicableRiskRanges": [
          {}
        ],
        "filter": {
          "values": [
            "<string>"
          ]
        },
        "controlPointWeights": {},
        "controlPointBundleVersion": "<string>",
        "name": {},
        "description": {},
        "category": {},
        "riskAssertionCategory": "GENERAL"
      }
    ]
  },
  "controlPointBundleVersion": "<string>",
  "template": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisTypeConfigurationId
string
required

Response

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

system
boolean
libraryId
object

Identifies the library associated with this configuration.

engagementId
object

Identifies the associated engagement.

analysisId
object

Identifies the analysis associated with this configuration.

analysisTypeId
object

Identifies the type of analysis.

configuration
Analysis Config · object

The configuration details for this analysis type.

controlPointBundleVersion
string

The version of the control point bundle used in this configuration.

template
boolean

Indicates whether this configuration is a template.